﻿namespace Janken
{
    class EnemyPaper : EnemyDefault
    {
        // デフォルト閾値
        protected new const int DefaultRock = 200;
        protected new const int DefaultScissors = 400;
        protected new const int DefaultPaper = 1000;

        public EnemyPaper()
        {
            // リソースから名前取得
            Name = Properties.Resources.PaperEnemyNameString;

            rock = DefaultRock;
            scissors = DefaultScissors;
            paper = DefaultPaper;

            // ランダム補正
            randomCorrection(180);
        }
    }
}
